# $Revision: 1.5 $, $Date: 2002/10/19 15:28:15 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	I18N
%define	pnam	Charset
Summary:	IANA Character Set Registry names and Unicode::MapUTF8 conversion scheme names
Summary(pl):	Nazwy zestaww znakw wg IANA oraz nazwy tabeli konwersji Unicode::MapUTF8
Name:		perl-I18N-Charset
Version:	1.23
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-File-Which
BuildRequires:	perl-IO-String
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Unicode-MapUTF8 >= 1.09
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The I18N::Charset module provides access to the IANA Character Set
Registry names for identifying character encoding schemes.  It also
provides a mapping to the character set names used by the Unicode::Map8
and Unicode::Map modules.

So, for example, if you get an HTML document with a META CHARSET="..."
tag, you can fairly quickly determine what Unicode::MapXXX module can
be used to convert it to Unicode.

%description -l pl
Modu I18N::Charset daje dostp do nazw z IANA Character Set Registry
(rejestru zestaww znakw IANA) sucych do identyfikowania schematw
kodowania znakw. Udostpnia take mapowanie dla nazw zestaww znakw
uywanych w moduach Unicode::Map8 i Unicode::Map.

W ten sposb mona np. majc dokument HTML ze znacznikiem META
CHARSET="..." szybko okreli, jakiego moduu Unicode::MapXXX uy do
konwersji dokumentu do Unikodu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-I18N-Charset.spec,v $
Revision 1.5  2002/10/19 15:28:15  ankry
- updated to 1.23

Revision 1.4  2002/10/05 12:18:46  ankry
- updated to 1.22 (new charset)

Revision 1.3  2002/09/09 22:42:25  qboosh
- pl description, release 2

Revision 1.2  2002/09/08 21:50:46  radek
- fixed BR

Revision 1.1  2002/09/08 15:51:10  radek
- new, STBR
